# Configure UAIs in UAS

The sub-topics in this section cover the four main elements of UAI configuration in UAS, and provide Links to procedures for listing, adding, examining, updating, and deleting each kind of element.

Options for the elements of a UAI are maintained in the UAS configuration. The following can be configured in UAS:

* [UAI images](UAI_Images.md)
* [Volumes](Volumes.md)
* [Resource Specifications](Resource_Specifications.md)
* [UAI Classes](UAI_Classes.md)

Only users who are defined as administrators in an HPE Cray EX system and are logged in using the administrative CLI \(`cray` command\) can configure UAS.
Configure UAS from a LiveCD node or from any system with the administrative CLI installed that can reach the HPE Cray EX API Gateway as an administrator.

The following procedures provide instructions for creating, updating, examining, and removing configuration items from UAS:

* UAI Images:
  * [List Registered UAI Images](List_Registered_UAI_Images.md)
  * [Register a UAI Image](Register_a_UAI_Image.md)
  * [Retrieve UAI Image Registration Information](Retrieve_UAI_Image_Registration_Information.md)
  * [Update a UAI Image Registration](Update_a_UAI_Image_Registration.md)
  * [Delete a UAI Image Registration](Delete_a_UAI_Image_Registration.md)
* UAS Volumes:
  * [List Volumes Registered in UAS](List_Volumes_Registered_in_UAS.md)
  * [Add a Volume to UAS](Add_a_Volume_to_UAS.md)
  * [Obtain the Configuration of a UAS Volume](Obtain_Configuration_of_a_UAS_Volume.md)
  * [Update a UAS Volume](Update_a_UAS_Volume.md)
  * [Delete a Volume Configuration](Delete_a_Volume_Configuration.md)
* UAI Resource Specifications:
  * [List UAI Resource Specifications](List_UAI_Resource_Specifications.md)
  * [Retrieve Resource Specification Details](Retrieve_Resource_Specification_Details.md)
  * [Create a UAI Resource Specification](Create_a_UAI_Resource_Specification.md)
  * [Update a Resource Specification](Update_a_Resource_Specification.md)
  * [Delete a UAI Resource Specification](Delete_a_UAI_Resource_Specification.md)
* UAI Classes:
  * [List Available UAI Classes](List_Available_UAI_Classes.md)
  * [View a UAI Class](View_a_UAI_Class.md)
  * [Create a UAI Class](Create_a_UAI_Class.md)
  * [Modify a UAI Class](Modify_a_UAI_Class.md)
  * [Delete a UAI Class](Delete_a_UAI_Class.md)

[Top: User Access Service (UAS)](index.md)

[Next Topic: UAI Images](UAI_Images.md)
