# What is VSX?

Enterprise networks face the challenge of delivering 24x7 always-on reliable access and cloud-based services. As a business and network grows, this non-stop availability becomes more critical due to simple economics. Downtime leads to a loss of productivity, user satisfaction and revenue.

Switches in the campus and data center sit at the heart of the network and are responsible for the delivery of a high availability (HA) solution that is capable of ensuring always-on access with robust performance.

To address this requirement, Aruba's Virtual Switching Extension (VSX) has been designed from the ground up to provide industry-leading performance and high availability with much-needed simplicity. This is accomplished through the resiliency of AOS-CX, a modern network operating system that performs continuous state synchronization.

# What are the Benefits of VSX?

**No downtime, even during upgrades.**

High-availability (HA) refers to a system or component that is continuously operational for extended periods of time. For organizations today, this translates to 24x7 uptime, without disruption to network access or performance.

Planning for high availability of campus and data center switches involves complex tasks for addressing backup and failover processing. This includes copying and accessing the real-time networking state, including routing and forwarding tables.

Aruba VSX takes a new and innovative approach to solving high availability challenges by combining the best aspects of existing HA technologies such as multi-chassis link aggregation (MC-LAG) and equal-cost multi-path (ECMP) routing. This combination provides a distributed and redundant architecture that is highly available, with minimal to zero traffic loss, even during software upgrades.

Aruba VSX benefits:

* HA design with live upgrades and no downtime
* Built for redundancy across campus and data center networks
* Continuous config synchronization via AOS-CX
* Flexible active-active network designs at L2 and L3
* Operational simplicity for configuration and troubleshooting

Thanks to its design principles, VSX also supports live  upgrades, delivering on the promise of in-service software upgrades where no maintenance windows are required. Within an hour, core and aggregation switches in the campus and top of rack (ToR) switches in the data center can be successfully upgraded while continuously delivering high-performing network services, without compromise.

# VSX Summary

HA is a must-have requirement at the core and aggregation layers of campus networks, as well as within leaf-spine architectures in data centers. Aruba's Virtual Switching Extension (VSX) is designed from the ground up to deliver the availability, virtualization, and simplicity required at these mission-critical layers of the network. Our goal is to offer operators a better way to ensure business success with a network that is always available, even during upgrades.

[Back to Index](../index.md)

