# Dell Installation and Configuration Guide

This documentation helps network administrators and support personnel install and manage Dell network devices in a CSM install.

The HPE Cray recommended way of configuring the network is by using the CANU tool. Therefore this guide will not go into detail on how to configure
each switch manually using the CLI. Instead, it will give helpful examples of how to configure/use features generated by CANU, in order to provide
administrators easy ways to customize their installation.

Also included in this guide are the current documented and supported network scenarios.

**NOTE:** Not every configuration option is covered here; for any configuration outside of the scope of this document, refer to the official
Dell user manual. See [Dell](https://downloads.dell.com/).

This document is intended for network administrators and support personnel.

**NOTE:** The display and command lines illustrated in this document are examples and might not exactly match any particular environment. The switch
and accessory drawings in this document are for illustration only, and may not exactly match installed products.

## CANU

See [CSM Automatic Network Utility (CANU)](../canu/index.md)

## Managing Switches from the CLI

### Device Management

* [Management Interface](management_interface.md)
* [Network Time Protocol (NTP) Client](ntp.md)
* [Domain Name System (DNS) Client](dns-client.md)
* [Hostname](hostname.md)
* [Domain Name](domain_name.md)
* [Secure Shell (SSH)](ssh.md)
* [Remote Logging](remote_logging.md)
* [SNMPv2c Community](snmp-community.md)
* [System images](system_images.md)

### Layer One Features

* [Physical Interfaces](physical_interfaces.md)
* [Locator LED](locator_led.md)

### Layer Two Features

* [Link Layer Discovery Protocol (LLDP)](lldp.md)
* [Virtual Local Access Networks (VLANs)](vlan.md)
* [VLAN Trunking 802.1Q](vlan_trunking_8021q.md)
* [Link Aggregation Group (LAG)](lag.md)
* [Multiple Spanning Tree Protocol (MSTP)](mstp.md)

### Layer Three Features

* [VLAN Interface](vlan_interface.md)
* [Address Resolution Protocol (ARP)](arp.md)
* [Loopback Interface](loopback.md)

### Multicast

* [IGMP](igmp.md)

### Security

* [Access Control Lists (ACLs)](acl.md)

### Quality of Service (QoS)

* [QoS](qos.md)

### Performing Upgrade on Dell Switches

* [Software upgrade](upgrade.md)

### Backing up Switch Configuration

* [Backing up switch configuration](backup.md)

### Factory Reset

* [Reset configuration](reset.md)
